.\" $NetBSD: urio.4,v 1.7 2002/02/07 03:15:09 ross Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 6, 2000
.Dt URIO 4
.Os
.Sh NAME
.Nm urio
.Nd USB driver for the Diamond Multimedia Rio500 MP3 player
.Sh SYNOPSIS
.Cd "urio* at uhub?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Rio500 MP3 player from Diamond MultiMedia.
.Pp
The driver implements minimal support to access the device and requires
a user application for up and downloading music.
.Sh FILES
.Bl -tag -width /dev/urio0 -compact
.It Pa /dev/urio0
device node
.El
.Sh EXAMPLES
Using the Rio500 package from sourceforge the command
.Pp
.Dl rio_add_song 01_BlinkarBla.mp3
.Pp
will download a song over the
.Tn USB
connection into your Rio500.
.Sh SEE ALSO
.Xr usb 4
.br
.Pa http://rio500.sourceforge.org
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.5 .
This driver is based on a
.Fx
Rio driver written by Iwasa Kazmi.
